// Test de clase Carta
// (c) mjmarin/2010

#include "carta.h"

#include <cassert>
#include <iostream>
#include <fstream>

/* Para usar exit */
#include <stdlib.h>

using namespace std;

void findString(string filePath,string cad,string msg)
{
	ifstream file(filePath.c_str());
	assert(file);
	string str;
	while(!file.eof()){
		file>>str;
		if (str.find(cad) != string::npos) return;
	}
	cout<<"ERROR: "<<msg<<endl;
	exit( 0 );
}

int main(void)
{
	int N = 10;
	Carta * cartas = new Carta[N];
	Carta c1;
	
	for(int i=0; i < N; i++)
		cartas[i] = Carta("Oros", i+1);
	
	assert(cartas[N-1].getNumero() == N);
	
	c1 = cartas[0];
	assert(c1 == cartas[0]);
	
	Carta c2(c1);		
	assert(c1 == c2);
	
	assert(c1 != cartas[1]);
		
	cout << " - La carta c1 es: " << c1 << endl;
	
	findString("carta.h","#ifndef","La clase debe estar definida con #ifndef");
	findString("carta.h","#define","La clase debe estar definida con #define");
	
	cout << endl <<"$$$$$$$$$$$$$$ Test superado. "<<endl;
}

