#include "carta.h"

#ifndef _BARAJA_H_
#define _BARAJA_H_

class Baraja
{	
   private:
      Carta * _lasCartas;
      int _numCartas;
		
   public:
		Baraja();
		Baraja(const Baraja & b);
		Baraja(int numCartas);
		
		~Baraja();
		
		int size(void);
		
		// ---- OPERADORES ----
		
		Baraja & operator=(const Baraja & b);
		Carta & operator[](int index);

		// ---- IO ----
		bool saveToFile(char * filename);
		bool loadFromFile(char * filename);
};

#endif 
