#include "carta.h"
#include <vector>

#ifndef _BARAJASTL_H_
#define _BARAJASTL_H_

class BarajaSTL
{	
   private:
      vector<Carta> _lasCartas;
		//int _numCartas;
		
   public:
		BarajaSTL();
		BarajaSTL(const BarajaSTL & b);
		BarajaSTL(int numCartas);
		
		~BarajaSTL();
		
		int size(void);
		
		// ---- OPERADORES ----
		
		BarajaSTL & operator=(const BarajaSTL & b);
		Carta & operator[](int index);

		// ---- IO ----
		bool saveToFile(char * filename);
		bool loadFromFile(char * filename);
};

#endif 
