#include "carta.h"

Carta::Carta()
{
   _palo = string("vacio");
	_numero = 0;
}

Carta::Carta(string palo, int num)
{
	_palo = palo;
	_numero = num;
}

Carta::Carta(const Carta & c)
{
	_palo = c._palo;
	_numero = c._numero;
}

int Carta::getNumero(void)
{
	return _numero;
}

string Carta::getPalo(void)
{
	return _palo;
}
		
void Carta::setNumero(int num)
{
	_numero = num;
}

void Carta::setPalo(string palo)
{
	_palo = palo;
}

// ----- OPERATORS ----
Carta & Carta::operator=(const Carta & c)
{
	_palo = c._palo;
	_numero = c._numero;
	
	return (*this);
}

bool Carta::operator==(const Carta & c)
{
	return ((_palo == c._palo) && (_numero == c._numero));
}

bool Carta::operator!=(const Carta & c)
{
	return ((_palo != c._palo) || (_numero != c._numero));
}
		
ostream & operator<<(ostream& co, const Carta& c)
{
	co << c._numero << " de " << c._palo;
	return co;
}
