#include <iostream>
#include <string>

using namespace std;

#ifndef _CARTA_H_
#define _CARTA_H_

class Carta
{
   private:
	   string _palo;
	   int _numero;
		
   public:
	   	Carta();
		Carta(string, int);
		Carta(const Carta & c);
		
		int getNumero(void);
		string getPalo(void);
		
		void setNumero(int);
		void setPalo(string);
		
		// ----- OPERATORS ----
		Carta & operator=(const Carta & c);
		bool operator==(const Carta & c);
		bool operator!=(const Carta & c);
		
		friend ostream & operator<<(ostream& co, const Carta& c);
};

#endif
